/*                               -*- Mode: C -*- 
 * user-action.c -- 
 * 
 * Copyright (C) 1994-2012 Francois Felix Ingrand
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Apr 22 13:52:49 1994
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Mon Jul 19 12:10:26 1999
 * Update Count    : 47
 * Status          : OK
 * 
 * $Id$
 * 
 */

#include <stdio.h>

#include "macro-pub.h"
#include "opaque-pub.h"
#include "constant-pub.h"
#include "oprs-type-pub.h"

#include "oprs-type_f-pub.h"

#include "user-action.h"

#include "action_f-pub.h"

#include "portLib.h"
#include "csLib.h"

#include "user-decl-oprs-com.h"
#include "user-decl-oprs-com_f.h"
#include "oprs-com.h"
#include "oprs-com_f.h"

void declare_oprs_com_user_action(void)
{
     make_and_declare_action("SEND-REQUEST-TO-MODULE-VIA-TCLSERVCLIENT",send_request_to_module_via_tclservclient, 3);
     make_and_declare_action("SEND-REQUEST-TO-MODULE",send_request_to_module, 3);
     make_and_declare_action("INIT-COM-TO-MODULE-VIA-TCLSERVCLIENT",init_com_to_module_via_tclservclient, 1);
     make_and_declare_action("INIT-COM-TO-MODULE",init_com_to_module, 1);
     make_and_declare_action("INIT-COM-FORCE-TO-MODULE",init_com_force_to_module, 1);
     make_and_declare_action("SET-MODULE-TCLSERVCLIENT",set_module_tclservclient, 3);
     make_and_declare_action("SET-OPRS-COM-VERBOSE",set_oprs_com_verbose, 1);

     return;
}
